org.apache.hadoop.mapred

## Class OutputLogFilter

- java.lang.Object
- - org.apache.hadoop.mapred.OutputLogFilter

- All Implemented Interfaces:
    PathFilter

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class OutputLogFilter
      extends Object
      implements PathFilter

  This class filters log files from directory given It doesnt accept paths having _logs. This can be used to list paths of output directory as follows: Path[] fileList = FileUtil.stat2Paths(fs.listStatus(outDir, new OutputLogFilter()));

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputLogFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Path path)` Tests whether or not the specified abstract pathname should be included in a pathname list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputLogFilter

          public OutputLogFilter()

  - ### Method Detail

    - #### accept

          public boolean accept(Path path)

      Description copied from interface: `PathFilter`
      Tests whether or not the specified abstract pathname should be included in a pathname list.
      Specified by:
        `accept` in interface `PathFilter`
      Parameters:
        `path` - The abstract pathname to be tested
      Returns:
        `true` if and only if `pathname` should be included

Copyright © 2022 Apache Software Foundation. All rights reserved.